C
C==== COMMON Module of DIFRAC by H.D. Flack, University of Geneva
C==== Version 5th. February 1997
C00000000111111111122222222223333333333444444444455555555556666666666777
C23456789012345678901234567890123456789012345678901234567890123456789012
C
C---- SPECIFICATION (DIMENSION,REAL,INTEGER,CHARACTER, ETC) STATATEMENTS
C
      integer scfsfl, nseq, ndtfil, datafl, parmfl, mxn, smo, bmo
      integer numref, href(10), kref(10), lref(10), fltref(10), lfnorm
      integer ptswd, ptnsc, ptbgt, ptcb1, ptcsum, ptcb2, ih, ik, il
      integer ptfilt, hface(50), kface(50), lface(50), nface, intin(10)
      integer nmcell, ipchar, zcell, natmtp, nfilt, nfltcd(20)
      integer ptscl, ptstd, nrefl, parclp, jostat
      integer profil(17:112), nstep, iscan, backsn
      integer hmin, hmax, kmin, kmax, lmin, lmax
      integer stdseq, sdtfil
      integer numang, hang(100), kang(100), lang(100), wang(100)
      integer navtab, mdlmz, mstnn, addrfl, cdefwv
      integer nstepw, nfridl, apc
      integer id1, id2, numstd, qaofl, qanfl, nqaocd
      integer slidc4
      integer nstbg, prfout, profit
C
      real spe, swda, swdb, sct, bgt, speref(10), ub(3,3), dethz, detvt
      real wavel, refint(10), values(9), psi, dface(50), deface(50)
      real realin(10), cell(6), ecell(6), volum, evolum, cwave, ctemp
      real ctthn, ctthx, densit, edensi, tdensi, temint, presnt
      real fnamtp(24), peratm(24), eperat(24), forwg, eforwg
      real attfac(20), ettfac(20), fmnhed, fmn2th, ratpol, ertpol
      real bedwv, fmhomw, fdeadt, efdead, dar, rad, backl, backr
      real psicry, peak, time, cnp, cnb, cnl, cnr, swidth, scnrat
      real x1, x2, x3, sint, psirf(10), cnprf(10), cnbrf(10)
      real swdrf(10), scnrf(10), ubinv(3,3), bastim, prvtim
      real radius, slit, apmin, apmax, apta, aptb, flam1, flam2, flam3
      real sintl, cmn2th, cmix, weigh1, weigh2, weigh3
      real twoth, theta, omega, phi, chi, kappa, range, rate, firl, sir
      real beta, stlmin, stlmax, avint(10), sdint(10), count(10)
      real sinalp, cosalp, attn, gm(3,3), gr(3,3), cellub(6), volub
      real twoang(100), wavtab(5,3)
      real csigma, timl, timp, timr
      real mptemp, sinter, ratio
      real stepwd, intnet, signet, stptim
      real frapol, erapol, sizem(3), tubcur, tubvol
C
      character title*66, compid*6, line*100, digit(0:11)*1
      character dsk*4, fmt*40, crytyp*1, inchar*1, namtyp(24)*2
      character charin(10)*15, alphc(26)*1, alphl(26)*1, lin2*80
      character monoch*1, code6*6, includ*8, exclud*8
      character rmode*2, extn*4, difnam*1, datxtn*8, datxto*8
      character meas(4)*22, device*40, softwr*40
      character family*30, addres(5)*40, email*40, fax*40, phone*40
      character cpdsou*76, namecm*76, nameml*76
      character cryscl*40, crysds*76
      character chemfm*140, addnam*50, qline*80
      character knchar*1, denmet*40, cellpg*40
      character*9 wavnam(4,3), wl0nam, wl1nam, wl2nam, clrnam
      character envamb*40, tubciz*40, tubtar*2, mondes*40, spmnpt*40
      character meadet*76, dettyp*40, dicrtr*40, excrpr*40
C
      logical ok, firstr, mdensi,  lform(5), trans, hklopn, condon
      logical reoren, ask(16), statbk, lquan, hspeed, lhead, envl
C
C---- COMMON DECLARATIONS
C
      common/difrin/scfsfl, nseq, ndtfil, datafl, parmfl, mxn, smo, bmo
      common/difrin/numref, href, kref, lref, fltref, lfnorm, ih, ik, il
      common/difrin/ptswd, ptnsc, ptbgt, ptcb1, ptcsum, ptcb2
      common/difrin/ptfilt, hface, kface, lface, nface, intin, nmcell
      common/difrin/ipchar, zcell, natmtp, nfilt, nfltcd, ptscl, ptstd
      common/difrin/nrefl, jostat, profil, iscan, nstep, parclp, backsn
      common/difrin/hmin, hmax, kmin, kmax, lmin, lmax
      common/difrin/stdseq, sdtfil
      common/difrin/numang, hang, kang, lang, wang
      common/difrin/navtab, mdlmz, mstnn, addrfl, cdefwv
      common/difrin/nstepw, nfridl, apc
      common/difrin/id1,id2, numstd, qaofl, qanfl, nqaocd
      common/difrin/slidc4
      common/difrin/nstbg, prfout, profit
C
      common/difrrl/spe, swda, swdb, sct, bgt, speref, ub, dethz, detvt
      common/difrrl/wavel, refint, values, psi, dface, deface, realin
      common/difrrl/cell, ecell, volum, evolum, cwave, ctemp, ctthn
      common/difrrl/ctthx, densit, edensi, tdensi, temint, presnt
      common/difrrl/fnamtp, peratm, eperat, forwg, eforwg
      common/difrrl/attfac, ettfac, fmnhed, fmn2th, ratpol, ertpol
      common/difrrl/bedwv, fmhomw, fdeadt, efdead, dar, rad
      common/difrrl/backl, backr, psicry, peak, time, cnp, cnb, cnl, cnr
      common/difrrl/swidth, scnrat, x1 ,x2, x3, sint, firl, sir
      common/difrrl/psirf, cnprf, cnbrf, swdrf, scnrf, ubinv
      common/difrrl/bastim, prvtim, radius, slit, apmin, apmax
      common/difrrl/apta, aptb, flam1, flam2, flam3, sintl
      common/difrrl/cmn2th, cmix, weigh1, weigh2, weigh3
      common/difrrl/twoth, theta, omega, chi, phi, kappa, range, rate
      common/difrrl/beta, stlmin, stlmax, avint, sdint, count
      common/difrrl/sinalp, cosalp, attn, gm, gr, cellub, volub
      common/difrrl/twoang, wavtab
      common/difrrl/csigma, timl, timp, timr
      common/difrrl/mptemp, sinter, ratio
      common/difrrl/stepwd,intnet,signet,stptim
      common/difrrl/frapol,erapol,sizem, tubcur, tubvol
C
      common/difrch/title, compid, line, digit, dsk, fmt, crytyp
      common/difrch/inchar, namtyp, charin, alphc, alphl, lin2
      common/difrch/monoch, code6, includ, exclud, rmode, extn
      common/difrch/difnam, datxtn, datxto, meas, device, softwr
      common/difrch/family, addres, email, fax, phone
      common/difrch/cpdsou, namecm, nameml
      common/difrch/cryscl, crysds, chemfm
      common/difrch/addnam, qline
      common/difrch/knchar, denmet, cellpg
      common/difrch/wavnam, wl0nam, wl1nam, wl2nam, clrnam
      common/difrch/envamb, tubciz, tubtar, mondes, spmnpt
      common/difrch/meadet, dettyp, dicrtr, excrpr
C
      common/difrlg/ok, firstr, mdensi, lform, trans, hklopn, condon
      common/difrlg/reoren, ask, statbk, lquan, hspeed, lhead, envl
C
      save /difrin/,/difrrl/,/difrch/,/difrlg/
